Skip to content

Non-Blocking Trigger Live Scan

Request

Task a URL to be scanned. The HTTP request will return with the scan UUID immediately and then it is your responsibility to poll the result resource type until the scan has finished.

Security
apikeyAuth(Required scopes: readwrite)
Path
scannerIdstringrequired
Example:de01
Bodyapplication/json
taskobjectrequired
scannerobject
POST
/api/v1/livescan/{scannerId}/task/
curl -i -X POST \
  https://urlscan.io/api/v1/livescan/de01/task/ \
  -H 'Content-Type: application/json' \
  -H 'api-key: YOUR_API_KEY_HERE' \
  -d '{
    "task": {
      "url": "http://example.com",
      "visibility": "public",
      "tags": [
        "string"
      ]
    },
    "scanner": {
      "pageTimeout": 10000,
      "captureDelay": 3000,
      "extraHeaders": {},
      "enableFeatures": [
        "string"
      ],
      "disableFeatures": [
        "string"
      ]
    }
  }'

Responses

OK

Bodyapplication/json
uuidstring, (uuid)

UUID of scan

Response
{ "uuid": "92d683cd-1575-4bde-89d1-99cd46ae07a7" }